# collada.light.BoundDirectionalLight

class collada.light.BoundDirectionalLight(dlight, matrix)

  Directional light bound to a scene with transformation. This gets created when a light is instantiated in a scene. Do not create this manually.

  __init__(dlight, matrix)

  Methods

  `__init__`(dlight, matrix) |

  Attributes

  `direction` | Numpy array of length 3 representing the direction of the light in the scene
  `color` | Either a tuple of size 3 containing the RGB color value of the light or a tuple of size 4 containing the RGBA color value of the light
  `original` | The original `collada.light.DirectionalLight` this is bound to